%define 	modulename pam_ldap
Summary:	LDAP Pluggable Authentication Module
Summary(es.UTF-8):	Módulo de autenticación que puede conectarse (PAM) para LDAP
Summary(pl.UTF-8):	Moduł PAM do uwierzytelniania z użyciem LDAP
Summary(pt_BR.UTF-8):	Módulo de autenticação plugável (PAM) para o LDAP
Name:		pam-%{modulename}
Version:	186
Release:	1
Epoch:		1
License:	LGPL
Group:		Base
Source0:	http://www.padl.com/download/%{modulename}-%{version}.tar.gz
# Source0-md5:	58c8689921c5c4578363438acd8503c2
Patch0:		%{name}-install.patch
Patch1:		%{name}-chkuser.patch
Patch2:		%{name}-nolibs.patch
Patch3:		%{name}-no-access-after-free.patch
URL:		http://www.padl.com/OSS/pam_ldap.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	pam-devel
BuildRequires:	rpmbuild(macros) >= 1.304
Obsoletes:	pam_ldap
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/%{_lib}
%define		schemadir	/usr/share/openldap/schema

%description
This is pam_ldap, a pluggable authentication module that can be used
with linux-PAM. This module supports password changes, V2 clients,
Netscapes SSL, ypldapd, Netscape Directory Server password policies,
access authorization, crypted hashes, etc.

%description -l es.UTF-8
pam_ldap es un módulo de autenticación que puede conectarse y usarse
con Linux-PAM. Este módulo acepta cambio de contraseñas, clientes V2,
Netscape SSL, ypldapd, política de contraseñas de Netscape Directory
Server, autorización de acceso, etc.

%description -l pl.UTF-8
To jest pam_ldap, wymienny moduł uwierzytelniania, który może być
użyty z linux-PAM. Moduł ten wspiera zmienianie haseł, klientów V2,
SSL firmy Netscape, ypldapd, polisy haseł Netscape Directory Server,
autoryzację dostępu, zakodowane skróty, itd.

%description -l pt_BR.UTF-8
pam_ldap é um módulo de autenticação plugável que pode ser usado com o
Linux-PAM. Esse módulo aceita mudança de senhas, clientes V2, Netscape
SSL, ypldapd, política de senhas do Netscape Directory Server,
autorização de acesso, etc.

%package -n openldap-schema-pam_ldap
Summary:	pam_ldap LDAP schema
Summary(pl.UTF-8):	Schemat LDAP dla pam_ldap
Group:		Networking/Daemons
Requires(post,postun):	sed >= 4.0
Requires:	openldap-servers

%description -n openldap-schema-pam_ldap
This package contains LDAP schema used by pam_ldap.

%description -n openldap-schema-pam_ldap -l pl.UTF-8
Ten pakiet zawiera schemat LDAP używany przez pam_ldap.

%prep
%setup -q -n %{modulename}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
# obsolete?
#patch3 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{schemadir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALLUSER=`id -u` \
	INSTALLGROUP=`id -g`

install ldapns.schema $RPM_BUILD_ROOT%{schemadir}/pam_ldap-ns.schema
install ns-pwd-policy.schema $RPM_BUILD_ROOT%{schemadir}/

%clean
rm -rf $RPM_BUILD_ROOT

%post -n openldap-schema-pam_ldap
%openldap_schema_register %{schemadir}/{pam_ldap-ns,ns-pwd-policy}.schema
%service -q ldap restart

%postun -n openldap-schema-pam_ldap
if [ "$1" = "0" ]; then
	%openldap_schema_unregister %{schemadir}/{pam_ldap-ns,ns-pwd-policy}.schema
	%service -q ldap restart
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README ldap.conf pam.d
%attr(755,root,root) %{_libdir}/security/pam_ldap.so
%{_mandir}/man5/*

%files -n openldap-schema-pam_ldap
%defattr(644,root,root,755)
%{schemadir}/*
%changelog
* Sun May 29 2011 zbyniu <zbyniu@pld-linux.org> 5e24ade
- up to 186

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> b882aa8
- version 108

* Wed Nov 07 2007 Jan Rękorajski <baggins@pld-linux.org> 88dce73
- up to 184
- disabled patch3, looks obsolete

* Sat Nov 03 2007 Jan Rękorajski <baggins@pld-linux.org> a2f5081
- cosmetics

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 34ddf3b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2f729c9
- added support for simple and fast auth method using user's DN and password
- additional options in /etc/ldap.conf [example]:
   userconnect_check yes                    (to enable support)
   userdn cn=A_USER,ou=unit,o=org           (A_USER macro expanded to username)
- special thx to Michal Strzelczyk - for code, pepsi and fajki R1 :)

* Wed Nov 08 2006 Jakub Bogusz <qboosh@pld-linux.org> 8fa9106
- added CVE reference to previous changelog message

* Wed Nov 08 2006 darekr <darekr@pld-linux.org> ef60e57
- updated to 183, more docs
[fixes CVE-2006-5170]

* Fri Jun 02 2006 Elan Ruusamäe <glen@pld-linux.org> 6494294
- use %openldap_schema_{un,}register macros

* Wed May 10 2006 hawk <hawk@pld-linux.org> 53d23a8
- updated to 86.

* Wed May 10 2006 Paweł Sikora <pluto@pld-linux.org> e1eb77b
- th build fixed, release 5.

* Wed May 10 2006 Paweł Sikora <pluto@pld-linux.org> a4a19f8
- gcc4 fix.

* Sat Feb 18 2006 Jakub Bogusz <qboosh@pld-linux.org> ca67de0
- updated to 83.

* Tue Jan 17 2006 Jan Rękorajski <baggins@pld-linux.org> 33bc0f3
- release 3
- BR openldap 2.3

* Sun Nov 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 14689cf
82

* Sun Nov 20 2005 Artur Frysiak <artur@frysiak.net> f247e72
- added openldap-schema-pam_ldap subpackage

* Fri Sep 02 2005 Jakub Bogusz <qboosh@pld-linux.org> cfa8ace
74

* Fri Sep 02 2005 Jakub Bogusz <qboosh@pld-linux.org> bb4e4b5
- updated for 180

* Fri Sep 02 2005 Jakub Bogusz <qboosh@pld-linux.org> a127bdb
- obsolete

* Wed Aug 31 2005 Adam Gołębiowski <adamg@pld-linux.org> 8ea98d6
- security todo

